=== debian/changelog ===
granatier (4:25.12.2+p24.04+vunstable+git20260206.1604-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 16:04:09 +0000

granatier (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:59:49 +0000
